
Bootstrap - Bug #5440

system_usermanager_settings.php - When no Auth Server is defined, it should default to Local

Database

11/13/2015 12:39 PM - Jim Pingle

Status: Resolved Start date: 11/13/2015

Priority: Normal Due date:  

Assignee: Jim Pingle % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2.3 Spent time: 0.00 hour

Description

On system_usermanager_settings.php when there is no Auth Server defined in config.xml, the drop-down for Authentication Server

should default to "Local Database".

Currently the drop-down defaults to whatever is first in the list, which if the user has any servers defined, is a custom server and not

what is actually active at the time (which is really "Local Database").

Associated revisions

Revision bb10745a - 11/14/2015 10:56 AM - jeroen van breedam

fix Bug #5440

Revision af58fc06 - 11/14/2015 11:00 AM - jeroen van breedam

fix Bug #5440

Revision 08d6f8ff - 11/15/2015 11:35 AM - Phil Davis 

Backport Redmine #5440 to RELENG_2_2

The code in RELENG_2_2 for system_usermanager_settings.php seems to work OK in RELENG_2_2 so I did not touch anything there.

But diag_authentication.php had nothing about $pconfig on initial page load. This extra code makes it select a reasonable default auth server when

the page first loads. After that, each time the user does "Test", the page comes back with the previously selected auth server, user name and

password (like it did already) - so that seems good.

Revision 79e14f1c - 11/15/2015 11:49 AM - Phil Davis 

Improve diag_authentication.php redmine #5440

Move the code to select the default auth server so that it only happens the first time into the page. Now if the user selects a different auth server to

test, and presses test, the results come back and the selected auth server is re-displayed (rather than the system default auth server being re-chosen

every time).

Do not use address-of "&" when referring to the $config value - we do not ever intend to modify the config in here, so there seems no point in risking it

by using a pointer.

History

#1 - 11/14/2015 04:59 AM - jeroen van breedam

this might to work: https://github.com/pfsense/pfsense/pull/2063

on a related note:

if ($_POST['authmode'] != "local") {

        //more code here....

above shows up in system_usermanager_settings.php on releng2_2 & master. Yet authmode is not/never set to "local" ; it is set to "Local Database"

(unless i'm missing something).

#2 - 11/14/2015 07:36 AM - Anonymous

- Status changed from Confirmed to Feedback

- Assignee changed from Anonymous to Jim Pingle

PR 2063 applied

08/23/2025 1/2

https://github.com/pfsense/pfsense/pull/2063


The error seems to go back to at least pfSense 2.0 so please test carefully.

#3 - 11/15/2015 04:34 AM - Phillip Davis

In system_usermanager_settings.php in 2.2.5 it works OK for me, and looking at the code it does indeed select Local Database from the list if

'authmode' is not set. So I wonder why Steve is saying "The error seems to go back to at least pfSense 2.0"?

In diag_authentication.php in 2.2.5 there is no code to select the system 'authmode' setting as the default - so that part is non-optimal in 2.2.5.

#4 - 11/15/2015 05:29 AM - Phillip Davis

I added PR https://github.com/pfsense/pfsense/pull/2065 to backport the diag_authentication.php bit of this to RELENG_2_2

It seems to me that it is worthwhile backporting little easy fixes like this to RELENG_2_2 so they can be easily noticed against all the Bootstrap noise,

and so existing 2.2.* users can easily see and get them if they wish.

#5 - 11/15/2015 05:43 AM - Phillip Davis

and a suggested improvement to the diag_authentication.php for 2.3 https://github.com/pfsense/pfsense/pull/2066

#6 - 11/16/2015 02:09 PM - Jim Pingle

- Status changed from Feedback to Resolved

Seems to DTRT now.
